***************
** TABLE 1: Descriptive statistics
***************

tab killed positioncode if duplicate==0
tab forced_exile positioncode if duplicate==0
tab exiled positioncode if duplicate==0
tab self_exile positioncode if duplicate==0
tab imprisoned_strong positioncode if duplicate==0
tab imprisoned_weak positioncode if duplicate==0 
tab suspended_sentence positioncode if duplicate==0 
tab fine positioncode if duplicate==0
tab pol_return positioncode if duplicate==0
tab appointed positioncode if duplicate==0
tab soe_board positioncode if duplicate==0
tab private_board positioncode if duplicate==0


***************
*** TABLE 2: Baselines and multiple fates
***************

qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2a
qui xi: probit onlygood_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2b
qui xi: probit goodexcl democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2c
qui xi: probit good_fate_natl_noworst democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2d
qui xi: probit good_fate_local_noworst democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2e
qui xi: probit onlygood_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.positioncode i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2f
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2g
qui xi: probit worst_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table2h

estout table2*, style(tex) starlevels(* .10 ** .05 *** .01) cells(b(star fmt(3)) se(par fmt(3))) keep(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch _Ipositionc_2 _Ipositionc_3 _Ipositionc_4 _Ipositionc_5 _Ipositionc_6 _Ipositionc_7 _Ipositionc_8 _Ipositionc_9 _Ipositionc_10) order(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice civil_war_gledistsch logarithmic_growthrate log_gdp_per_cap_haber_men_2 lnpop _Ipositionc_2 _Ipositionc_3 _Ipositionc_4 _Ipositionc_5 _Ipositionc_6 _Ipositionc_7 _Ipositionc_8 _Ipositionc_9 _Ipositionc_10) varlabels(democracy_after_autconst_adj "Authoritarian Constitution" militarypure_banks "Military Leader" irregular_entry "Irregular Entry" lnten "log(Time in Office)" age0 "Age at Entry into Office" prevtimesinoffice "Previous Times in Office" civil_war_gledistsch "Civil War" logarithmic_growthrate "Economic Growth Rate" log_gdp_per_cap_haber_men_2 "log(Per Capita Income)" lnpop "log(Population)" _Ipositionc_2 "Junta Member" _Ipositionc_3 "Head of Government" _Ipositionc_4 "Vice President" _Ipositionc_5 "Head of Military" _Ipositionc_6 "Head of Party" _Ipositionc_7 "Chief of Staff" _Ipositionc_8 "Designated Successor" _Ipositionc_9 "Tutelary Military Power" _Ipositionc_10 "Cabinet" transition "Transitional Leader" military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime") stats(N, labels("Observations") fmt(0)) 


***************
*** TABLE 3: Robustness 
***************

** Elites face at least 3 years of subjection to ensuing democracy
qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&leadid!=1516&leadid!=1261&leadid!=817&leadid!=1732, r cluster(hmccode) asis
estimates store table3a
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&leadid!=1516&leadid!=1261&leadid!=817&leadid!=1732, r cluster(hmccode) asis
estimates store table3b

** Testing effect of Cold War
qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode coldwara coldwarb if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3c
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode coldwara coldwarb if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3d

** Robustness to autocratic regime types. Dropping Allesandri y Palma (Chile), who is ambiguous and GWF don't code. 
qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 military_hybrid_leader sparty_hybrid_leader personalist_hybrid_leader i.hmccode if eliteid!=.&duplicate!=1&leadid!=2458, r cluster(hmccode) asis
estimates store table3e
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 military_hybrid_leader sparty_hybrid_leader personalist_hybrid_leader i.hmccode if eliteid!=.&duplicate!=1&leadid!=2458, r cluster(hmccode) asis
estimates store table3f

** Robustness to controlling for political pacts
qui xi: probit good_fate democracy_after_autconst_adj pact2 irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3g
qui xi: probit bad_fate democracy_after_autconst_adj pact2 irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3h

* Robustness to other institutions
qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 v2juhcind v2psswitch i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3i
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 v2juhcind v2psswitch i.hmccode if eliteid!=.&duplicate!=1, r cluster(hmccode) asis
estimates store table3j

** Non-politicized punishments and transitional punishment
*qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&(politicize==1|self_exile==1|(bad_fate==0&politicize==0)), r cluster(hmccode) asis
*qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&transition_punish!=1, r cluster(hmccode) asis

estout table3*, style(tex) starlevels(* .10 ** .05 *** .01) cells(b(star fmt(3)) se(par fmt(3))) keep(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch coldwara coldwarb military_hybrid_leader sparty_hybrid_leader personalist_hybrid_leader v2juhcind v2psswitch pact2) order(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice civil_war_gledistsch logarithmic_growthrate log_gdp_per_cap_haber_men_2 lnpop coldwara coldwarb military_hybrid_leader sparty_hybrid_leader personalist_hybrid_leader pact2 v2juhcind v2psswitch) varlabels(democracy_after_autconst_adj "Authoritarian Constitution" militarypure_banks "Military Leader" pact2 "Political Pact" irregular_entry "Irregular Entry" lnten "log(Time in Office)" coldwara "Cold War" coldwarb "Post-Cold War" v2juhcind "Judicial Independence" v2psswitch "Party Strength" military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime" age0 "Age at Entry into Office" prevtimesinoffice "Previous Times in Office" civil_war_gledistsch "Civil War" logarithmic_growthrate "Economic Growth Rate" log_gdp_per_cap_haber_men_2 "log(Per Capita Income)" lnpop "log(Population)" transition "Transitional Leader" military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime") stats(N, labels("Observations") fmt(0))


***************
*** TABLE 4: IV Models
***************

qui xi: ivreg2 good_fate intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 conflictindex_1000 i.hmccode (autconst_iv = l_l1 l3_region4b_demautconstcr_avg) if eliteid!=.&duplicate!=1, first partial(i.hmccode) cl(year) savefirst
estimates store table4b
estimates restore _ivreg2_autconst_iv
estimates store table4a
qui xi: ivreg2 onlygood_fate intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 conflictindex_1000 i.hmccode (autconst_iv = l_l1 l3_region4b_demautconstcr_avg) if eliteid!=.&duplicate!=1, first partial(i.hmccode) cl(year) savefirst
estimates store table4d
estimates restore _ivreg2_autconst_iv
estimates store table4c
qui xi: ivreg2 goodexcl intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 conflictindex_1000 i.hmccode (autconst_iv = l_l1 l3_region4b_demautconstcr_avg) if eliteid!=.&duplicate!=1, first partial(i.hmccode) cl(year) savefirst
estimates store table4f
estimates restore _ivreg2_autconst_iv
estimates store table4e
qui xi: ivreg2 bad_fate intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 conflictindex_1000 i.hmccode (autconst_iv = l_l1 l3_region4b_demautconstcr_avg) if eliteid!=.&duplicate!=1, first partial(i.hmccode) cl(year) savefirst
estimates store table4h
estimates restore _ivreg2_autconst_iv
estimates store table4g
qui xi: ivreg2 worst_fate intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 conflictindex_1000 i.hmccode (autconst_iv = l_l1 l3_region4b_demautconstcr_avg) if eliteid!=.&duplicate!=1, first partial(i.hmccode) cl(year) savefirst
estimates store table4j
estimates restore _ivreg2_autconst_iv
estimates store table4i

estout table4a table4b table4c table4d table4e table4f table4g table4h table4i table4j, style(tex) starlevels(* .10 ** .05 *** .01) cells(b(star fmt(3)) se(par fmt(3))) keep(autconst_iv intpressure goodbad_fate_regexcl_dif irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch conflictindex_1000 l_l1 l3_region4b_demautconstcr_avg) order(autconst_iv irregular_entry lnten age0 prevtimesinoffice civil_war_gledistsch logarithmic_growthrate log_gdp_per_cap_haber_men_2 lnpop intpressure goodbad_fate_regexcl_dif conflictindex_1000 l_l1 l3_region4b_demautconstcr_avg) varlabels(autconst_iv "Authoritarian Constitution" intpressure "International Pressure" l_l1 "Effective Lower House" l3_region4b_demautconstcr_avg "Pc. Dems with Aut. Const. in Region" goodbad_fate_regexcl_dif "Neighboring Fates (Good-Bad)" conflictindex_1000 "Conflict Index" irregular_entry "Irregular Entry" lnten "log(Time in Office)"  military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime" age0 "Age at Entry into Office" prevtimesinoffice "Previous Times in Office" civil_war_gledistsch "Civil War" logarithmic_growthrate "Economic Growth Rate" log_gdp_per_cap_haber_men_2 "log(Per Capita Income)" lnpop "log(Population)" transition "Transitional Leader" military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime") stats(N, labels("Observations") fmt(0))


***************
*** TABLE A1 APPENDIX: ROBUSTNESS TO RIGHT-CENSORING
***************

qui xi: probit good_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5a
qui xi: probit onlygood_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5b
qui xi: probit goodexcl democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5c
qui xi: probit good_fate_natl_noworst democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5d
qui xi: probit good_fate_local_noworst democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5e
qui xi: probit onlygood_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.positioncode i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5f
qui xi: probit bad_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5g
qui xi: probit worst_fate democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch defender2 initiator2 inherit winsh4 losesh4  drawsh4 winwar4 losewar4 drawwar4 i.hmccode if eliteid!=.&duplicate!=1&rightcensor_nofate!=1, r cluster(hmccode) asis
estimates store table5h

estout table5*, style(tex) starlevels(* .10 ** .05 *** .01) cells(b(star fmt(3)) se(par fmt(3))) keep(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice lnpop log_gdp_per_cap_haber_men_2 logarithmic_growthrate civil_war_gledistsch _Ipositionc_2 _Ipositionc_3 _Ipositionc_4 _Ipositionc_5 _Ipositionc_6 _Ipositionc_7 _Ipositionc_8 _Ipositionc_9 _Ipositionc_10) order(democracy_after_autconst_adj irregular_entry lnten age0 prevtimesinoffice civil_war_gledistsch logarithmic_growthrate log_gdp_per_cap_haber_men_2 lnpop _Ipositionc_2 _Ipositionc_3 _Ipositionc_4 _Ipositionc_5 _Ipositionc_6 _Ipositionc_7 _Ipositionc_8 _Ipositionc_9 _Ipositionc_10) varlabels(democracy_after_autconst_adj "Authoritarian Constitution" militarypure_banks "Military Leader" irregular_entry "Irregular Entry" lnten "log(Time in Office)" age0 "Age at Entry into Office" prevtimesinoffice "Previous Times in Office" civil_war_gledistsch "Civil War" logarithmic_growthrate "Economic Growth Rate" log_gdp_per_cap_haber_men_2 "log(Per Capita Income)" lnpop "log(Population)" _Ipositionc_2 "Junta Member" _Ipositionc_3 "Head of Government" _Ipositionc_4 "Vice President" _Ipositionc_5 "Head of Military" _Ipositionc_6 "Head of Party" _Ipositionc_7 "Chief of Staff" _Ipositionc_8 "Designated Successor" _Ipositionc_9 "Tutelary Military Power" _Ipositionc_10 "Cabinet" transition "Transitional Leader" military_hybrid_leader "Military Regime" sparty_hybrid_leader "Single Party Regime" personalist_hybrid_leader "Personalist Regime") stats(N, labels("Observations") fmt(0))
